#include "options.ih"

void Options::spoolActions()
{
    if (d_spoolZip)             // specifying spool zip always
        d_mailZip.clear();      // suppresses mailing the zip

    if (d_spoolPath.empty())    // no spool path then no pdf and no spoolzip
    {
        d_pdf = false;
        d_spoolZip = false;
    }
    else if (not d_pdf and not d_spoolZip)  // no pdf and no spoolzip:
        d_spoolPath.erase();                // then ignore spoolPath

    log() << "spool path: `" << d_spoolPath << ", "
             "spool zip: " << d_spoolZip << ", pdf: " << d_pdf << '\n';
}
